@mixin onSmallerThanDesktop() {
  @include media-breakpoint-down(md) {
    width: 450px;
    max-width: 100%;
  }
}

.auth {
  position: absolute;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 450px;
  padding: 35px 20px 20px;
  border-radius: 4px;
  background-color: #eceeef;
  @include media-breakpoint-down(md) {
    width: 100%;
    height: 100%;
    border-radius: 0;
  }

  $width: 100%;

  &__header {
    text-align: center;
    color: #707070;
    width: $width;
    @include onSmallerThanDesktop();

    h2 {
      font-weight: normal;
      font-size: 2.94rem;
    }
  }

  &__body {
    margin: 1rem 0;
    width: $width;
    @include onSmallerThanDesktop();
  }

  &__footer {
    font-size: .9rem;
    width: $width;
    @include onSmallerThanDesktop();

    &--Q {
    }

    &--link {
      font-weight: bold;
      margin-left: 10px;
      color: #373a3c;

      &:hover {
        text-decoration: none;
      }
    }
  }
}

.authform {
  $label-size: .9rem;
  $gap-size: 1.6rem;
  $indent-size: .5rem;
  $clr-err: #cb2e25;

  div:first-child {
    margin-top: unset;
  }

  &__form-wrapper {
    margin-top: $gap-size;

    &--label {
      font-size: $label-size;
      margin-left: $indent-size;
    }

    &--labelerror {
      font-size: $label-size;
      margin-left: $indent-size;
      color: $clr-err;
    }

    &--error {
      border: 1px solid $clr-err;
      color: $clr-err;
    }

    &--errormessage {
      font-size: $label-size;
      margin-left: $indent-size;
      color: $clr-err;
      margin-top: $indent-size;
    }
  }

  &__button {
    margin-top: 56px;
  }
}